Bug 358611 - Firefox fails to launch
Firefox fails to launch
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
firefox3INSUFFICIENT_DATAmassClosing
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-30 13:06 EDT by Jonathan Roberts
Modified: 2008-04-09 10:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 10:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace log of a firefox session which hangs (33.10 KB, text/plain)
2008-02-12 08:38 EST, Simon Andrews
no flags Details
gdb trace of hanging firefox session (18.32 KB, text/plain)
2008-02-13 05:03 EST, Simon Andrews
no flags Details
gdb trace of hanging firefox session (27.17 KB, text/plain)
2008-02-13 05:10 EST, Simon Andrews
no flags Details

  None (edit)
Description Jonathan Roberts 2007-10-30 13:06:33 EDT
Description of problem:

Firefox fails to launch, either from the menus or the command line.

Version-Release number of selected component (if applicable):

firefox-2.0.0.8-1.fc8

How reproducible:

Everytime. 


Steps to Reproduce:
1. Install Fedora x86_64 from live cd.
2. Try to launch default Firefox
3.
  
Actual results:

Firefox window does not appear. Attempts to launch Firefox after this result in
it reporting that another instance of Firefox is running but not responding, and
to close the current session. 

Checking System Monitor reveals that Firefox.bin and Firefox are indeed both
running, but no window is shown.

Launching Firefox from the command line also seems to not report anything,
rather it just hangs there. 

Expected results:

Firefox to launch normally.

Additional info:

Any more info needed? I'll provide what I can...
Comment 1 Simon Andrews 2008-02-12 08:37:31 EST
I'm also getting this on one of our systems, also x86_64 (no 32 bit firefox
installed).

The weird thing is that on one account it works, but on another it doesn't.

I've cleaned out the profile (rm -r ~/.*), removed and reinstalled firefox and
done an selinux relabel but it still won't launch.

If I launch firefox with a URL as an argument then I get a firefox window
appearing, but it's immediately non-responsive and I have to kill it.

I've got an strace of the session where it fails which I'll attach.

This is using the latest firefox-2.0.0.10-3.fc8
Comment 2 Simon Andrews 2008-02-12 08:38:37 EST
Created attachment 294658 [details]
strace log of a firefox session which hangs
Comment 3 Matěj Cepl 2008-02-12 17:14:11 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please install firefox-debuginfo; in order to do this you have to enable
-debuginfo repository.

	yum install --enablerepo=\*debuginfo firefox-debuginfo

(if you use x86_64 firefox, install firefox-debuginfo.x86_64  package).

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Simon Andrews 2008-02-13 05:03:54 EST
Created attachment 294761 [details]
gdb trace of hanging firefox session

I'm not sure that this is much use since firefox doesn't actually crash - it
just hangs.

The attached gdb session is from where I launched firefox with a URL as an
argument, which opens a window which is non-responsive.  Gnome then prompts me
to kill it, which is where the SIGKILL comes from.
Comment 5 Simon Andrews 2008-02-13 05:04:53 EST
Since bugzilla doesn't let you move bugs out of NEEDINFO when adding an
attachment  I'm just using this to change the bug state.
Comment 6 Simon Andrews 2008-02-13 05:10:39 EST
Created attachment 294763 [details]
gdb trace of hanging firefox session

I forgot to add the stack trace to the last attachment.  This one is
interrupted where it hangs and has a stack trace applied.
Comment 7 Matěj Cepl 2008-02-21 17:34:32 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 8 Matěj Cepl 2008-02-21 17:35:45 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 9 Matěj Cepl 2008-04-09 10:05:01 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]

Note You need to log in before you can comment on or make changes to this bug.